libkate: misc

# misc

## Functions
int | kate_region_init (kate_region *kr)
int | kate_style_init (kate_style *ks)
int | kate_palette_init (kate_palette *kp)
int | kate_bitmap_init (kate_bitmap *kb)
int | kate_bitmap_init_new (kate_bitmap *kb)
int | kate_curve_init (kate_curve *kc)
int | kate_motion_init (kate_motion *km)

## Detailed Description

## Function Documentation

int kate_bitmap_init | ( | kate_bitmap * | kb | ) |

Initializes a kate bitmap to sensible defaults. Obsolete, use kate_bitmap_init_new in new code.

Parameters:

  | kb | the bitmap to initialize

Returns:
  0 success
  KATE_E_* error

< width in pixels

< height in pixels

< bits per pixel, from 1 to 8, or 0 for a raw PNG bitmap

< the type of this bitmap

< index of the default palette to use

< pixels, rows first, one byte per pixel regardless of bpp

< for raw bitmaps, number of bytes in pixels

< the horizontal offset to the logical origin of the bitmap

< the vertical offset to the logical origin of the bitmap

References kate_bitmap_type_png, and KATE_E_INVALID_PARAMETER.

int kate_bitmap_init_new | ( | kate_bitmap * | kb | ) |

Initializes a kate bitmap to sensible defaults

Parameters:

  | kb | the bitmap to initialize

Returns:
  0 success
  KATE_E_* error

References kate_bitmap_type_png, and KATE_E_INVALID_PARAMETER.

int kate_curve_init | ( | kate_curve * | kc | ) |

Initializes a kate curve to sensible defaults

Parameters:

  | kc | the curve to initialize

Returns:
  0 success
  KATE_E_* error

References kate_curve_none, and KATE_E_INVALID_PARAMETER.

int kate_motion_init | ( | kate_motion * | km | ) |

Initializes a kate motion to sensible defaults

Parameters:

  | km | the motion to initialize

Returns:
  0 success
  KATE_E_* error

References KATE_E_INVALID_PARAMETER, kate_motion_mapping_none, and kate_motion_semantics_time.

int kate_palette_init | ( | kate_palette * | kp | ) |

Initializes a kate palette to sensible defaults

Parameters:

  | kp | the palette to initialize

Returns:
  0 success
  KATE_E_* error

References KATE_E_INVALID_PARAMETER.

int kate_region_init | ( | kate_region * | kr | ) |

Initializes a kate region to sensible defaults

Parameters:

  | kr | the region to initialize

Returns:
  0 success
  KATE_E_* error

References KATE_E_INVALID_PARAMETER, and kate_percentage.

int kate_style_init | ( | kate_style * | ks | ) |

Initializes a kate style to sensible defaults

Parameters:

  | ks | the style to initialize

Returns:
  0 success
  KATE_E_* error

References KATE_E_INVALID_PARAMETER, kate_pixel, and kate_wrap_word.